{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-@l10n/pt/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Matriz de novas tentativas e conclusão do Cloud Storage"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"matriz-de-novas-tentativas-e-conclusão-do-cloud-storage","__idx":0},"children":["Matriz de novas tentativas e conclusão do Cloud Storage"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Política de repetição, idempotência e conclusão das 24 operações do Cloud Storage. 12 delas documentam códigos de erro de negócio específicos do endpoint."]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Em operações que alteram estado, um tempo limite HTTP é um resultado desconhecido, não uma prova de que a operação falhou. Consulte o estado atual antes de repetir."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Veja a ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt/api-reference/getting-started/endpoint-behavior"},"children":["Matriz de novas tentativas de endpoints"]}," para as definições de política e os outros produtos, ou o ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/assets/operation-behavior.8a452a27fdb2398e4085aaff39b0d6f29825844e56ccba51c7fceb4bcf57c29c.ec0bf2e0.yaml"},"children":["Manifesto de comportamento das operações"]}," legível por máquina."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"cloud-storage-local-api","__idx":1},"children":["Cloud Storage Local API"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Operação"},"children":["Operação"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Política de repetição"},"children":["Política de repetição"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Idempotência"},"children":["Idempotência"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Conclusão / recuperação"},"children":["Conclusão / recuperação"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/cloudstorage/info"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryCloudStorageInfoLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/file/page"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["pageCloudStorageFilesLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/upload/init"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["batchRequestCloudStoragePresignedUploadUrlsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente a menos que a documentação específica do endpoint diga que é seguro."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhuma garantia pública de idempotência está documentada."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Envie cada objeto para sua URL pré-assinada e depois chame POST /cloudstorage/upload/complete. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39037"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39044"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39045"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39047"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39050"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39051"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/upload/complete"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["confirmCloudStorageUploadCompleteLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39014"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39041"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39046"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39047"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/file/delete/batch"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["batchDeleteCloudStorageFilesLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/file/tag/set"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["setCloudStorageFileTagsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39048"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39049"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/file/tag/add"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["addCloudStorageFileTagsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39048"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39049"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/file/tag/query"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryCloudStorageFileTagsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/cloudstorage/tag/all"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryAllCloudStorageFileTagsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/tag/create"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["createCloudStorageFileTagLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/tag/edit"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["editCloudStorageFileTagLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/cloudstorage/tag/delete/batch"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["deleteCloudStorageFileTagsLocal"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"cloud-storage-open-api","__idx":2},"children":["Cloud Storage Open API"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Operação"},"children":["Operação"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Política de repetição"},"children":["Política de repetição"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Idempotência"},"children":["Idempotência"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Conclusão / recuperação"},"children":["Conclusão / recuperação"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /cloudstorage/info"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryCloudStorageInfo"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/file/page"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["pageCloudStorageFiles"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/upload/init"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["batchRequestCloudStoragePresignedUploadUrls"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente a menos que a documentação específica do endpoint diga que é seguro."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhuma garantia pública de idempotência está documentada."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Envie cada objeto para sua URL pré-assinada e depois chame POST /cloudstorage/upload/complete. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39037"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39044"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39045"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39047"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39050"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39051"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/upload/complete"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["confirmCloudStorageUploadComplete"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39001"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39014"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39041"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39046"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39047"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/file/delete/batch"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["batchDeleteCloudStorageFiles"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/file/tag/set"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["setCloudStorageFileTags"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39048"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39049"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/file/tag/add"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["addCloudStorageFileTags"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Erros de negócio documentados: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39011"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39048"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["39049"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/file/tag/query"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryCloudStorageFileTags"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /cloudstorage/tag/all"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["queryAllCloudStorageFileTags"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Seguro com recuo exponencial limitado e jitter."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Somente leitura; repetir a requisição não deve alterar o estado do recurso."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/tag/create"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["createCloudStorageFileTag"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Não repita automaticamente; consulte primeiro se o recurso, o upload ou a tarefa foi criado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Nenhum contrato público de chave de idempotência está documentado."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/tag/edit"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["editCloudStorageFileTag"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /cloudstorage/tag/delete/batch"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"code","attributes":{},"children":["deleteCloudStorageFileTags"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Consulte o estado atual antes de repetir após um tempo limite ou falha de transporte."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["O resultado pode já ter sido aplicado; a execução repetida não é idempotente por contrato."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A resposta é o único sinal de conclusão documentado; nenhum contrato assíncrono é especificado. Não há erros de negócio específicos do endpoint documentados; use o contrato de erros comuns."]}]}]}]}]}]},"headings":[{"value":"Matriz de novas tentativas e conclusão do Cloud Storage","id":"matriz-de-novas-tentativas-e-conclusão-do-cloud-storage","depth":1},{"value":"Cloud Storage Local API","id":"cloud-storage-local-api","depth":2},{"value":"Cloud Storage Open API","id":"cloud-storage-open-api","depth":2}],"frontmatter":{"seo":{"title":"Matriz de novas tentativas e conclusão do Cloud Storage"}},"lastModified":"2026-09-03T05:46:01.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/pt/api-reference/cloud-storage/endpoint-behavior","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}